Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.metadata

# Class GetCrossReference

java.lang.Object
org.firebirdsql.jdbc.metadata.GetCrossReference

public final class GetCrossReference extends Object
Provides the implementation for `DatabaseMetaData.getCrossReference(String, String, String, String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final DbMetadataMediator`
`mediator`

## Method Summary

Modifier and Type
Method
Description
`static GetCrossReference`
`create(DbMetadataMediator mediator)`
`ResultSet`
`getCrossReference(String primaryTable, String foreignTable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mediator

protected final DbMetadataMediator mediator

## Method Details

### getCrossReference

public ResultSet getCrossReference(String primaryTable, String foreignTable) throws SQLException

Throws:
  `SQLException`

### create

public static GetCrossReference create(DbMetadataMediator mediator)